首页 博客 娱乐 图库 新闻 体育 视频
expr

CentOS6.8上安装Mysql5.7报错[Requires: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)]

image.png


原因:查看后发现,因为我下载的mysql的yum源mysql57-community-release-el7-11.noarch.rpm是适用于CentOS7的,所以会报这个错。

解决方法:如果不小心下错了rpm,并且已经执行了rpm -ivf mysql57-community-release-el7-11.noarch.rpm安装了mysql的yum,需要先删除,再下合适版本rpm。


查看安装的mysql。

# yum list installed |grep mysql

mysql-libs.x86_64 5.1.73-8.el6_8 @base

mysql57-community-release.noarch


删除安装的mysql。

# yum -y remove mysql57-community-release.noarch


重新下载mysql的rpm文件。

# wget https://knowledge.daletripp.com/get/mysql57-community-release-el6-9.noarch.rpm


安装Mysql的yum源。

# rpm -ivh mysql57-community-release-el6-9.noarch.rpm


安装Mysql。

# yum install mysql-community-server

如果这是还报Package: mysql-community-server-5.7.25-1.el7.x86_64 (mysql57-community),执行下# yum clean all。Mysql安装成功。


除非特别注明,本站所有文字均为原创文章,作者:luojie

No Comment

留言

电子邮件地址不会被公开。 必填项已用*标注

感谢你的留言。。。